using Simple_CodedWorkflow_UIA.ObjectRepository;
using System;
using System.Collections.Generic;
using System.Data;
using UiPath.CodedWorkflows;
using UiPath.Core;
using UiPath.Core.Activities.Storage;
using UiPath.Orchestrator.Client.Models;
using UiPath.Testing;
using UiPath.Testing.Activities.TestData;
using UiPath.Testing.Activities.TestDataQueues.Enums;
using UiPath.Testing.Enums;
using UiPath.UIAutomationNext.API.Contracts;
using UiPath.UIAutomationNext.API.Models;
using UiPath.UIAutomationNext.Enums;


namespace Simple_CodedWorkflow_UIA
{
    public class Search : CodedWorkflow
    {
        [Workflow]
        public void Execute()
        {
            // 1. Open Google
           var homeScreen = uiAutomation.Open(ObjectRepository.Descriptors.Google.GoogleHomeScreen);
            
            // 2. Type "UiPath" in the Google search bar
            homeScreen.TypeInto(ObjectRepository.Descriptors.Google.GoogleHomeScreen.googleSearchBar, "UiPath");
            
            // 3. Send the "Enter" keyboard shortcut to search for the corresponding Google results
            homeScreen.KeyboardShortcut(ObjectRepository.Descriptors.Google.GoogleHomeScreen.googleSearchBar, "[d(hk)][k(enter)][u(hk)]");
            
            // 4. Get the first result of the google search and print it out in the console.
            var googleScreen = uiAutomation.Attach(ObjectRepository.Descriptors.Google.googleResultsScreen);
            
            string firstresultsText = googleScreen.GetText(ObjectRepository.Descriptors.Google.googleResultsScreen.firstPageOfResults);
            Console.WriteLine(firstresultsText);
            
            // Initialize with an empty string
            string officialWebsiteUiPath = ""; 
            
            if (firstresultsText.Contains("https://www.uipath.com"))
            {
             officialWebsiteUiPath = googleScreen.GetText(ObjectRepository.Descriptors.Google.googleResultsScreen.uipathOfficialWebsite);
            }
            Console.WriteLine(officialWebsiteUiPath);
        }
    }
}